package com.brilliance.isc.common.bop.service;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.common.Pblmod;

import java.util.List;

public interface PblmodService {

    void storeAllinBusTx(AbstractRmb abstractRmb);

    boolean isRCPMISModule(AbstractRmb abstractRmb);

    void mappingRMBDataCommon(AbstractRmb abstractRmb);

    <T> void setListData(Pblmod pblmod, List<T> listData);

    String rmbSetListStatus(String dectyp, String listopertype);

    String genCsta(String argoprtyp);

    void setPblSta(AbstractRmb abstractRmb);

    void setPblData(AbstractRmb abstractRmb);

    void rmbStoreContract(AbstractRmb abstractRmb);

    void rmbStorePBL(AbstractRmb abstractRmb);

    void unbunding(AbstractRmb abstractRmb);
}
